/*
 * lib$digit_sep
 *
 * Description:
 *
 *	Get Digit Separator Symbol returns the character(s) used
 *	to separate groups of digits (',' in US)
 *
 * History
 *
 *	09/18/1998 - Kevin Handy
 *		Original Version
 */
#include <locale.h>

#include "descrip.h"
#include "lib$routines.h"
#include "str$routines.h"
#include "libdef.h"

unsigned long lib$digit_sep(struct dsc$descriptor_s *digitseparatorstring,
	unsigned short *resultantlength)
{
	struct lconv *lcl;
	unsigned long result;
	unsigned short one;

	/*
	 * Get the locale
	 */
	lcl = localeconv();

	if (lcl == NULL)
	{
		return LIB$_FATERRLIB;
	}

	/*
	 * Fill in the result
	 */
	one = strlen(lcl->thousands_sep);
	result = str$copy_r(digitseparatorstring, &one, lcl->thousands_sep);
	if ((resultantlength != NULL) && ((result & 1) == 1))
	{
		*resultantlength = 1;
	}

	/*
	 * Return status
	 */
	return result;
}

