/* <smg$routines.h>
 *
 *	Screen management run-time library routines.
 */
#ifndef _SMG$ROUTINES_H
#define _SMG$ROUTINES_H
# ifdef __cplusplus
extern "C" {
# endif

/*	SMG$ADD_KEY_DEF			-- add key definition */
unsigned long smg$add_key_def();
/*	SMG$ALLOW_ESCAPE		-- allow escape sequences */
unsigned long smg$allow_escape();
/*	SMG$BEGIN_DISPLAY_UPDATE	-- begin batching of display updates */
unsigned long smg$begin_display_update();
/*	SMG$BEGIN_PASTEBOARD_UPDATE	-- begin batching of pasteboard updates */
unsigned long smg$begin_pasteboard_update();
/*	SMG$CANCEL_INPUT		-- cancel input request */
unsigned long smg$cancel_input();
/*	SMG$CHANGE_MENU			-- change highlighted menu item */
unsigned long smg$change_menu();
/*	SMG$CHANGE_PBD_CHARACTERISTICS	-- change pasteboard characteristics */
unsigned long smg$change_pbd_characteristics();
/*	SMG$CHANGE_RENDITION		-- change default rendition */
unsigned long smg$change_rendition();
/*	SMG$CHANGE_VIEWPORT		-- change the viewport */
unsigned long smg$change_viewport();
/*	SMG$CHANGE_VIRTUAL_DISPLAY	-- change virtual display */
unsigned long smg$change_virtual_display();
/*	SMG$CHECK_FOR_OCCLUSION		-- check for occlusion */
unsigned long smg$check_for_occlusion();
/*	SMG$CONTROL_MODE		-- control mode */
unsigned long smg$control_mode();
/*	SMG$COPY_VIRTUAL_DISPLAY	-- copy a virtual display */
unsigned long smg$copy_virtual_display();
/*	SMG$CURSOR_COLUMN		-- return cursor column position */
int smg$cursor_column();
/*	SMG$CURSOR_ROW			-- return cursor row position */
int smg$cursor_row();
/*	SMG$CREATE_KEY_TABLE		-- create key table */
unsigned long smg$create_key_table();
/*	SMG$CREATE_MENU			-- fill virtual display with a menu */
unsigned long smg$create_menu();
/*	SMG$CREATE_PASTEBOARD		-- create a pasteboard */
unsigned long smg$create_pasteboard();
/*	SMG$CREATE_SUBPROCESS		-- create and initialize a subprocess */
unsigned long smg$create_subprocess();
/*	SMG$CREATE_VIEWPORT		-- create a virtual viewport */
unsigned long smg$create_viewport();
/*	SMG$CREATE_VIRTUAL_DISPLAY	-- create a virtual display */
unsigned long smg$create_virtual_display();
/*	SMG$CREATE_VIRTUAL_KEYBOARD	-- create virtual keyboard */
unsigned long smg$create_virtual_keyboard();
/*	SMG$DEL_TERM_TABLE		-- delete terminal table */
unsigned long smg$del_term_table();
/*	SMG$DEFINE_KEY			-- perform a DEFINE/KEY command */
unsigned long smg$define_key();
/*	SMG$DELETE_CHARS		-- delete characters */
unsigned long smg$delete_chars();
/*	SMG$DELETE_KEY_DEF		-- delete key definition */
unsigned long smg$delete_key_def();
/*	SMG$DELETE_LINE			-- delete line */
unsigned long smg$delete_line();
/*	SMG$DELETE_MENU			-- end access to menu in virtual display */
unsigned long smg$delete_menu();
/*	SMG$DELETE_PASTEBOARD		-- delete pasteboard */
unsigned long smg$delete_pasteboard();
/*	SMG$DELETE_SUBPROCESS		-- terminate a subprocess */
unsigned long smg$delete_subprocess();
/*	SMG$DELETE_VIRTUAL_DISPLAY	-- delete virtual display */
unsigned long smg$delete_virtual_display();
/*	SMG$DELETE_VIRTUAL_KEYBOARD	-- delete virtual keyboard */
unsigned long smg$delete_virtual_keyboard();
/*	SMG$DELETE_VIEWPORT		-- delete a viewport */
unsigned long smg$delete_viewport();
/*	SMG$DISABLE_BROADCAST_TRAPPING	-- disable broadcast trapping */
unsigned long smg$disable_broadcast_trapping();
/*	SMG$DISABLE_UNSOLICITED_INPUT	-- disable unsolicited input */
unsigned long smg$disable_unsolicited_input();
/*	SMG$DRAW_CHAR			-- draw character in virtual display */
unsigned long smg$draw_char();
/*	SMG$DRAW_LINE			-- draw a line */
unsigned long smg$draw_line();
/*	SMG$DRAW_RECTANGLE		-- draw a rectangle */
unsigned long smg$draw_rectangle();
/*	SMG$END_DISPLAY_UPDATE		-- end display update */
unsigned long smg$end_display_update();
/*	SMG$END_PASTEBOARD_UPDATE	-- end pasteboard update */
unsigned long smg$end_pasteboard_update();
/*	SMG$ENABLE_UNSOLICITED_INPUT	-- enable unsolicited input */
unsigned long smg$enable_unsolicited_input();
/*	SMG$ERASE_CHARS			-- erase characters */
unsigned long smg$erase_chars();
/*	SMG$ERASE_COLUMN		-- erase column from display */
unsigned long smg$erase_column();
/*	SMG$ERASE_DISPLAY		-- erase virtual display */
unsigned long smg$erase_display();
/*	SMG$ERASE_LINE			-- erase line */
unsigned long smg$erase_line();
/*	SMG$ERASE_PASTEBOARD		-- erase pasteboard */
unsigned long smg$erase_pasteboard();
/*	SMG$EXECUTE_COMMAND		-- execute command in a subprocess */
unsigned long smg$execute_command();
/*	SMG$FIND_CURSOR_DISPLAY		-- find display */
unsigned long smg$find_cursor_display();
/*	SMG$FLUSH_BUFFER		-- flush buffer */
unsigned long smg$flush_buffer();
/*	SMG$GET_BROADCAST_MESSAGE	-- get broadcast message */
unsigned long smg$get_broadcast_message();
/*	SMG$GET_CHAR_AT_PHYSICAL_CURSOR -- return character at cursor */
unsigned long smg$get_char_at_physical_cursor();
/*	SMG$GET_DISPLAY_ATTR		-- get display attributes */
unsigned long smg$get_display_attr();
/*	SMG$GET_KEY_DEF			-- get key definition */
unsigned long smg$get_key_def();
/*	SMG$GET_KEYBOARD_ATTRIBUTES	-- get keyboard attributes */
unsigned long smg$get_keyboard_attributes();
/*	SMG$GET_NUMERIC_DATA		-- get numeric terminal data */
unsigned long smg$get_numeric_data();
/*	SMG$GET_PASTEBOARD_ATTRIBUTES	-- get pasteboard attributes */
unsigned long smg$get_pasteboard_attributes();
/*	SMG$GET_PASTING_INFO		-- return pasting information */
unsigned long smg$get_pasting_info();
/*	SMG$GET_TERM_DATA		-- get terminal data */
unsigned long smg$get_term_data();
/*	SMG$GET_VIEWPORT_CHAR		-- get characteristics of display viewport */
unsigned long smg$get_viewport_char();
/*	SMG$HOME_CURSOR			-- home cursor */
unsigned long smg$home_cursor();
/*	SMG$INIT_TERM_TABLE		-- initialize terminal table */
unsigned long smg$init_term_table();
/*	SMG$INIT_TERM_TABLE_BY_TYPE	-- initialize TERMTABLE by VMS terminal type */
unsigned long smg$init_term_table_by_type();
/*	SMG$INSERT_CHARS		-- insert characters */
unsigned long smg$insert_chars();
/*	SMG$INSERT_LINE			-- insert line */
unsigned long smg$insert_line();
/*	SMG$INVALIDATE_DISPLAY		-- mark a display as invalid */
unsigned long smg$invalidate_display();
/*	SMG$KEYCODE_TO_NAME		-- translate key code into key name */
unsigned long smg$keycode_to_name();
/*	SMG$LABEL_BORDER		-- label a virtual display border */
unsigned long smg$label_border();
/*	SMG$LIST_KEY_DEFS		-- list key definitions */
unsigned long smg$list_key_defs();
/*	SMG$LIST_PASTEBOARD_ORDER	-- return pasting information */
unsigned long smg$list_pasteboard_order();
/*	SMG$LIST_PASTING_ORDER		-- return virtual display pasting information */
unsigned long smg$list_pasting_order();
/*	SMG$LOAD_KEY_DEFS		-- load key definitions */
unsigned long smg$load_key_defs();
/*	SMG$LOAD_VIRTUAL_DISPLAY	-- load a virtual display */
unsigned long smg$load_virtual_display();
/*	SMG$MOVE_VIRTUAL_DISPLAY	-- move virtual display */
unsigned long smg$move_virtual_display();
/*	SMG$MOVE_TEXT			-- move text from one virtual display to another */
unsigned long smg$move_text();
/*	SMG$NAME_TO_KEYCODE		-- translate key name into key code */
unsigned long smg$name_to_keycode();
/*	SMG$PASTE_VIRTUAL_DISPLAY	-- paste virtual display */
unsigned long smg$paste_virtual_display();
/*	SMG$PUT_CHARS			-- write characters to virtual display */
unsigned long smg$put_chars();
/*	SMG$PUT_CHARS_HIGHWIDE		-- write double-height double-width characters */
unsigned long smg$put_chars_highwide();
/*	SMG$PUT_CHARS_MULTI		-- put text with multiple renditions to display */
unsigned long smg$put_chars_multi();
/*	SMG$PUT_CHARS_WIDE		-- write double-width characters */
unsigned long smg$put_chars_wide();
/*	SMG$PUT_HELP_TEXT		-- output help text to the display */
unsigned long smg$put_help_text();
/*	SMG$PUT_LINE			-- write line to virtual display */
unsigned long smg$put_line();
/*	SMG$PUT_LINE_HIGHWIDE		-- write double-height and double-width line */
unsigned long smg$put_line_highwide();
/*	SMG$PUT_LINE_MULTI		-- write line with multiple renditions to display */
unsigned long smg$put_line_multi();
/*	SMG$PUT_LINE_WIDE		-- write double-width line */
unsigned long smg$put_line_wide();
/*	SMG$POP_VIRTUAL_DISPLAY		-- delete series of virtual displays */
unsigned long smg$pop_virtual_display();
/*	SMG$PRINT_PASTEBOARD		-- print pasteboard using print queue */
unsigned long smg$print_pasteboard();
/*	SMG$PUT_PASTEBOARD		-- output pasteboard using routine */
unsigned long smg$put_pasteboard();
/*	SMG$PUT_STATUS_LINE		-- output line of text to hardware status line */
unsigned long smg$put_status_line();
/*	SMG$PUT_VIRTUAL_DISPLAY_ENCODED -- write encoded string to display */
unsigned long smg$put_virtual_display_encoded(
	long *pvdid, long *full_len, struct dsc$descriptor *coded_text,
        long *prow,  long *pcol, long *pwrap, long *pcset, long *vset);
/*	SMG$PUT_WITH_SCROLL		-- write text and scroll */
unsigned long smg$put_with_scroll();
/*	SMG$READ_COMPOSED_LINE		-- read composed line */
unsigned long smg$read_composed_line();
/*	SMG$READ_FROM_DISPLAY		-- read text from display */
unsigned long smg$read_from_display();
/*	SMG$READ_KEYSTROKE		-- read a single character */
unsigned long smg$read_keystroke();
/*	SMG$READ_LOCATOR		-- read locator information */
unsigned long smg$read_locator();
/*	SMG$READ_STRING			-- read string */
unsigned long smg$read_string();
/*	SMG$READ_VERIFY			-- read and verify a string */
unsigned long smg$read_verify();
/*	SMG$REMOVE_LINE			-- remove a line from virtual display */
unsigned long smg$remove_line();
/*	SMG$REPAINT_LINE		-- repaint one or more lines on current pasteboard */
unsigned long smg$repaint_line();
/*	SMG$REPAINT_SCREEN		-- repaint current pasteboard */
unsigned long smg$repaint_screen();
/*	SMG$REPASTE_VIRTUAL_DISPLAY	-- repaste virtual display */
unsigned long smg$repaste_virtual_display();
/*	SMG$REPLACE_INPUT_LINE		-- replace input line */
unsigned long smg$replace_input_line();
/*	SMG$RESTORE_PHYSICAL_SCREEN	-- restore physical pasteboard */
unsigned long smg$restore_physical_screen();
/*	SMG$RETURN_CURSOR_POS		-- return cursor position */
unsigned long smg$return_cursor_pos();
/*	SMG$RETURN_INPUT_LINE		-- return input line */
unsigned long smg$return_input_line();
/*	SMG$RING_BELL			-- ring the terminal bell or buzzer */
unsigned long smg$ring_bell();
/*	SMG$SAVE_VIRTUAL_DISPLAY	-- save the virtual display to a file */
unsigned long smg$save_virtual_display();
/*	SMG$SAVE_PHYSICAL_SCREEN	-- save physical screen */
unsigned long smg$save_physical_screen();
/*	SMG$SCROLL_DISPLAY_AREA		-- scroll display area */
unsigned long smg$scroll_display_area();
/*	SMG$SCROLL_VIEWPORT		-- scroll a display under a viewport */
unsigned long smg$scroll_viewport();
/*	SMG$SELECT_FROM_MENU		-- make a selection from the menu */
unsigned long smg$select_from_menu();
/*	SMG$SET_BROADCAST_TRAPPING	-- enable broadcast trapping */
unsigned long smg$set_broadcast_trapping();
/*	SMG$SET_CURSOR_ABS		-- set absolute cursor position */
unsigned long smg$set_cursor_abs();
/*	SMG$SET_CURSOR_MODE		-- set the cursor mode */
unsigned long smg$set_cursor_mode();
/*	SMG$SET_CURSOR_REL		-- move cursor relative to current position */
unsigned long smg$set_cursor_rel();
/*	SMG$SET_DEFAULT_STATE		-- set default state */
unsigned long smg$set_default_state();
/*	SMG$SET_DISPLAY_SCROLL_REGION	-- create display scrolling region */
unsigned long smg$set_display_scroll_region();
/*	SMG$SET_KEYPAD_MODE		-- set keypad mode */
unsigned long smg$set_keypad_mode();
/*	SMG$SET_OUT_OF_BAND_ASTS	-- set out-of-band ASTs */
unsigned long smg$set_out_of_band_asts();
/*	SMG$SET_PHYSICAL_CURSOR		-- set cursor on physical screen */
unsigned long smg$set_physical_cursor();
/*	SMG$SET_TERM_CHARACTERISTICS	-- change terminal characteristics */
unsigned long smg$set_term_characteristics();
/*	SMG$SNAPSHOT			-- write snapshot */
unsigned long smg$snapshot();
/*	SMG$SNAPSHOT_TO_PRINTER		-- write snapshot to printer */
unsigned long smg$snapshot_to_printer();
/*	SMG$UNPASTE_VIRTUAL_DISPLAY	-- remove virtual display */
unsigned long smg$unpaste_virtual_display();

# ifdef __cplusplus
}
# endif
#endif	/*_SMG$ROUTINES_H*/
