/*
 * smg$create_pasteboard
 *
 *	Creates a pasteboard and returns its assigned
 *	pasteboard identifier
 *
 * Algorithm
 *
 *	I'm going to use ncurses to manage the screens, because
 *	it makes more sense than trying to handle all the internal
 *	things that ncurses already knows how to do.
 *
 *	I'm going to layer the SMG stuff on top of ncurses, using
 *	only one screen in ncurses.
 *
 * History
 *
 *	06/08/1998 - Kevin Handy
 *		Initial version that really doesn't do anything
 */

/*
 * Include files
 */
#include <curses.h>
#include "descrip.h"
#include "smg$routines.h"
#include "smgdef.h"
#include "smgmsg.h"

/*
 * Main function
 */
unsigned long smg$create_pasteboard(unsigned long *pasteboard_id,
	struct dsc$descriptor_s *output_device,
	long *number_of_rows,
	long *number_of_columns,
	unsigned long *flags,
	unsigned long *type_of_terminal)
{
	/*
	 * We're going to use ncurses to manage the screen,
	 * so let's initialize it now
	 */
	initscr();
	cbreak();
	noecho();
	clear();
	refresh();

	/*
	 * Drop in some information is requested
	 */
	*pasteboard_id = 1;
	if (number_of_rows != NULL)
		*number_of_rows = 80;
	if (number_of_columns != NULL)
		*number_of_columns = 24;
	if (type_of_terminal != NULL)
		*type_of_terminal = SMG$K_VTTERMTABLE;

	/*
	 * Say it's all ok
	 */
	return SMG$_NORMAL;
}

