#ifndef _SMGFUN_H_
#define _SMGFUN_H_
/*
 * Hand built definition of SMG functions
 *
 * Only reason for being is because C++ requires function
 * prototypes, and C likes them.
 *
 * I am throwing functions in here only as I need them, so many
 * of the SMG functions are probibly missing.
 *
 * You need a "#include <descr.h>" in your source whenever you use
 * this include file.
 */


/*
 * Include Files
 */
#include <smgdef.h>
#include <smgmsg.h>
/*
 * SMG Functions
 * (the '...' dots are used when there are optional arguements)
 *
 * PLEASE: Add additional functions in alphabetical order so it is
 * easier to find out if the have been defined already or not.
 */
long smg$begin_display_update(long *DisplayID);
long smg$create_virtual_keyboard(long *KeyboardID, ...);
long smg$create_pasteboard(long *PasteBoard, ...);
long smg$create_virtual_display(const long *Height, const long *Width,
	long *DisplayID, ...);
long smg$delete_virtual_display(long *DisplayID);
long smg$delete_virtual_keyboard(long *KeyboardID);
long smg$delete_pasteboard(long *PasteBoard);
long smg$end_display_update(const long *DisplayID);
long smg$erase_display(long *DisplayID, ...);
long smg$erase_line(long *DisplayID, ...);
long smg$paste_virtual_display(long *DisplayID, long *PasteBoard,
	const long *Row, const long *col, ...);
long smg$put_chars(long *DisplayID, const struct dsc$descriptor_s *dsctext, ...);
long smg$read_keystroke(long *KeyboardID, short *ReturnChar, ...);
long smg$read_string(long *KbID, struct dsc$descriptor_s *retstring, ...);
long smg$repaint_screen(long *PasteBoard);
long smg$ring_bell(long *DisplayID, ...);
long smg$set_cursor_abs(long *DisplayID, ...);
long smg$set_cursor_mode(long *DisplayID, const long *CursorMode);
long smg$unpaste_virtual_display(long *DisplayID, long *PasteBoard);

#endif
