/* <sys$routines.h>
 *
 *	System Service routines from Starlet.
 */
#ifndef _SYS$ROUTINES_H
#define _SYS$ROUTINES_H
# ifdef __cplusplus
extern "C" {
# endif
	/* part of <starlet.h> */

/*  $ABORT_TRANS[W]    Abort a transaction */
/*	$ABORT_TRANS[W]  [efn], [flags], iosb [, [astadr], [astprm], */
/*			 [tid], [reason], [bid]] */
unsigned long sys$abort_trans(), sys$abort_transw();
/*  $ACK_EVENT		acknowledge a resource manager transaction event */
/*	$ACK_EVENT [flags],report_id,report_reply,[,[reason],[beftime], -*/
/*+		   [afttime],[part_name],[rm_context],[timout]]		 */
unsigned long sys$ack_event();
/* $ADD_BRANCH[W]	add a transaction branch */
/*	$ADD_BRANCH[W] [efn],[flags],iosb,[astadr],[astprm],tid,tm_name,bid */
unsigned long sys$add_branch(), sys$add_branchw();
/*  $ADD_HOLDER		add holder record to the rights database */
/*	$ADD_HOLDER id,holder,[attrib] */
unsigned long sys$add_holder();
/*  $ADD_IDENT		add identifier to the rights database */
/*	$ADD_IDENT name,[id],[attrib],[resid] */
unsigned long sys$add_ident();
/*  $ADJSTK		adjust outer mode stack pointer */
/*	$ADJSTK [acmode],[adjust],newadr */
unsigned long sys$adjstk();
/*  $ADJWSL		adjust working set limit */
/*	$ADJWSL [pagcnt],[wsetlm] */
unsigned long sys$adjwsl();
/*  $ALLOC		allocate device */
/*	$ALLOC devnam,[phylen],[phybuf],[acmode],[flags] */
unsigned long sys$alloc();
/*  $ASCEFC		associate common event flag cluster */
/*	$ASCEFC efn,name,[prot],[perm] */
unsigned long sys$ascefc();
/*  $ASCTIM		convert binary time to ASCII string */
/*	$ASCTIM [timlen],timbuf,[timadr],[cvtflg] */
unsigned long sys$asctim(unsigned short *timlen,
    struct dsc$descriptor *timbuf,
    const void *timadra, unsigned long cvtflg);
/*  $ASCTOID		ASCII to identifier conversion */
/*	$ASCTOID name,[id],[attrib] */
unsigned long sys$asctoid();
/*  $ASCUTC		convert binary UTC time into ASCII time string */
/*	$ASCUTC [timlen],timbuf,[timadr],[cvtflg] */
unsigned long sys$ascutc();
/*  $ASSIGN		assign I/O channel */
/*	$ASSIGN devnam,chan,[acmode],[mbxnam][,[flags]] */
unsigned long sys$assign();
/*  $BINTIM		convert ASCII string to binary time */
/*	$BINTIM timbuf,timadr */
unsigned long sys$bintim();
/*  $BINUTC		convert ASCII UTC time to a binary format */
/*	$BINUTC timbuf,timadr */
unsigned long sys$binutc();
/*  $BRDCST		broadcast (obsolete -- use $brkthru[w]) */
/*	$BRDCST msgbuf,[devnam] */
unsigned long sys$brdcst();
/*  $BRKTHRU		write to terminal breakthru */
/*	$BRKTHRU[W] [efn],msgbuf,[sendto],[sndtyp],[iosb],		-*/
/*+		    [carcon],[flags],[reqid],[timout],[astadr],[astprm]  */
unsigned long sys$brkthru(), sys$brkthruw();
/*  $CANCEL		cancel I/O on channel */
/*	$CANCEL chan */
unsigned long sys$cancel();
/*  $CANCEL_SELECTIVE	selective cancel I/O on channel */
/*	$CANCEL_SELECTIVE chan,[iosblst],[lenlst] */
unsigned long sys$cancel_selective();
/*  $CANEVTAST		cancel an event AST routine */
/*	$CANEVTAST [evtnam],[evtadr],[evtfac],[acmode],[flags],[reqid],[evtid] */
unsigned long sys$canevtast();
/*  $CANEXH		cancel exit handler */
/*	$CANEXH [desblk] */
unsigned long sys$canexh();
/*  $CANRNH		cancel restart handler */
/*	$CANRNH [desblk] */
unsigned long sys$canrnh();
/*  $CANTIM		cancel timer request */
/*	$CANTIM [reqidt],[acmode] */
unsigned long sys$cantim();
/*  $CANWAK		cancel wakeup */
/*	$CANWAK [pidadr],[prcnam] */
unsigned long sys$canwak();
/*  $CHANGE_ACL		set or modify an object's ACL */
/*	$CHANGE_ACL [chan],objtyp,[objnam],itmlst,[acmode],[iosb],	-*/
/*+		    [contxt],[routin],[orbadr]				 */
unsigned long sys$change_acl();
/*  $CHANGE_CLASS	modify an objects access class */
/*	$CHANGE_CLASS objtyp,[objnam],itmlst,[acmode],[orbadr] */
unsigned long sys$change_class();
/*  $CHECK_ACCESS	check user access to an object */
/*	$CHECK_ACCESS objtyp,objnam,usrnam,itmlst,[orbadr] */
unsigned long sys$check_access();
/*  $CHKPRO		check access protection */
/*	$CHKPRO itmlst */
unsigned long sys$chkpro();
/*  $CLREF		clear event flag */
/*	$CLREF	efn */
unsigned long sys$clref();
/*  $CMEXEC		change to executive mode */
/*	$CMEXEC routin,[arglst] */
unsigned long sys$cmexec();
/*  $CMKRNL		change to kernel mode */
/*	$CMKRNL routin,[arglst] */
unsigned long sys$cmkrnl();
/*  $CNTREG		contract program/control region (obsolete) */
/*	$CNTREG pagcnt,[retadr],[acmode],[region] */
unsigned long sys$cntreg();
/* $CREATE_BRANCH[W]	create a transaction branch */
/*	$CREATE_BRANCH[W] [efn],[flags],iosb,[astadr],[astprm],tid,	-*/
/*+			  bid[,[timout],[acmode],[tx_class]]		 */
unsigned long sys$create_branch(), sys$create_branchw();
/*  $CREATE_BUFOBJ	create I/O buffer object */
/*	$CREATE_BUFOBJ inadr,[retadr],[acmode],[flags],buffer_handle */
unsigned long sys$create_bufobj();
/*  $CREATE_RDB		create the rights database */
/*	$CREATE_RDB [sysid] */
unsigned long sys$create_rdb();
/*  $CREATE_UID		create a universal identifier */
/*	$CREATE_UID uid */
unsigned long sys$create_uid();
/*  $CRELNM		create logical name */
/*	$CRELNM [attr],tabnam,lognam,[acmode],[itemlist] */
unsigned long sys$crelnm();
/*  $CRELNT		create logical name table */
/*	$CRELNT [attr],[resnam],[reslen],[quota],[promsk],[tabnam],[acmode],[partab] */
unsigned long sys$crelnt();
/*  $CRELOG		create logical name */
/*	$CRELOG [tblflg],lognam,eqlnam,[acmode] (obsolete) */
unsigned long sys$crelog();
/*  $CREMBX		create mailbox and assign channel */
/*     $CREMBX	[prmflg],chan,[maxmsg],[bufquo],[promsk],[acmode],[lognam][,[flags]] */
unsigned long sys$crembx();
/*  $CREPRC		create process */
/*	$CREPRC [pidadr],[image],[input],[output],[error],[prvadr],	  -*/
/*+		[quota],[prcnam],[baspri],[uic],[mbxunt],[stsflg],[itmlst] */
unsigned long sys$creprc();
/*  $CRETVA		create virtual address space */
/*	$CRETVA inadr,[retadr],[acmode] */
unsigned long sys$cretva();
/*  $CRMPSC		create and map section */
/*	$CRMPSC [inadr],[retadr],[acmode],[flags],[gsdnam],[ident],	-*/
/*+		[relpag],[chan],[pagcnt],[vbn],[prot],[pfc]		 */
unsigned long sys$crmpsc();
/*  $DACEFC		disassociate common event flag cluster */
/*	$DACEFC efn */
unsigned long sys$dacefc();
/*  $DALLOC		deallocate device */
/*	$DALLOC [devnam],[acmode] */
unsigned long sys$dalloc();
/*  $DASSGN		deassign I/O channel */
/*	$DASSGN chan */
unsigned long sys$dassgn();
/*  $DECLARE_RM[W]	declare resource manager to DDTM */
/*	$DECLARE_RM[W] [efn],[flags],iosb,[astadr],[astprm],rm_name,	-*/
/*+		       rm_id,evt_rtn,[acmode]				 */
unsigned long sys$declare_rm(), sys$declare_rmw();
/*  $DCLAST		declare AST */
/*	$DCLAST astadr,[astprm],[acmode] */
unsigned long sys$dclast();
/*  $DCLCMH		declare change mode or compatibility mode handler */
/*	$DCLCMH addres,[prvhnd],[type] */
unsigned long sys$dclcmh();
/*  $DCLEVT		declare an event */
/*	$DCLEVT evtnam,[rcvacl],[evtfac],[acmode],[flags],	 -*/
/*+		[evtdata],[nullarg],[nullarg],[nullarg],[nullarg] */
unsigned long sys$dclevt();
/*  $DCLEXH		declare exit handler */
/*	$DCLEXH desblk */
unsigned long sys$dclexh();
/*  $DCLRNH		declare restart handler */
/*	$DCLRNH desblk */
unsigned long sys$dclrnh();
/*  $DECLARE_RM[W]	declare resource manager to DDTM */
/*	$DECLARE_RM[W] [efn],[flags],iosb,[astadr],[astprm],rm_id,event_handler     -*/
/*+		       [,[part_name],[rm_context],[acmode],[tm_log_id],[event_mask]] */
unsigned long sys$declare_rm(), sys$declare_rmw();
/*  $DELETE_BUFOBJ	delete I/O buffer object */
/*	$DELETE_BUFOBJ	buffer_handle */
unsigned long sys$delete_bufobj();
/*  $DELLNM		delete logical name and/or table */
/*	$DELLNM [tabnam],[lognam],[acmode] */
unsigned long sys$dellnm();
/*  $DELLOG		delete logical name (obsolete) */
/*	$DELLOG [tblflg],[lognam],[acmode] */
unsigned long sys$dellog();
/*  $DELMBX		delete mailbox */
/*	$DELMBX chan */
unsigned long sys$delmbx();
/*  $DELPRC		delete process */
/*	$DELPRC [pidadr],[prcnam] */
unsigned long sys$delprc();
/*  $DELTVA		delete virtual address space */
/*	$DELTVA inadr,[retadr],[acmode] */
unsigned long sys$deltva();
/*  $DEQ		dequeue lock */
/*	$DEQ	[lkid],[valblk],[acmode],[flags] */
unsigned long sys$deq();
/*  $DEVICE_SCAN	wildcard device scan */
/*	$DEVICE_SCAN return_devnam,retlen,[search_devnam],[itmlst],[contxt] */
unsigned long sys$device_scan();
/*  $DGBLSC		delete global section */
/*	$DGBLSC [flags],gsdnam,[ident] */
unsigned long sys$dgblsc();
/*  $DIAGNOSE		system service for diagnostics programmers */
/*	$DIAGNOSE function,P2,[cpu_id,[flags]] */
unsigned long sys$diagnose();
/*  $DISABLE_VP_USE[_INT] disable use of the vector processor [,internal form] */
/*	$DISABLE_VP_USE[_INT] flags,[curflg],[prvflg] */
unsigned long sys$disable_vp_use(), sys$disable_vp_use_int();
/*  $DISMOU		dismount volume */
/*	$DISMOU devnam,[flags] */
unsigned long sys$dismou();
/*  $DLCEFC		delete common event flag cluster */
/*	$DLCEFC name */
unsigned long sys$dlcefc();
/*  $DNS[W]		DNS clerk system service */
/*	$DNS[W] [efn],func,itmlst,[dnsb],[astadr],[astprm] */
unsigned long sys$dns(), sys$dnsw();
/*  $EMAA		call entity management assist agent */
/*	$EMAA	(void) */
unsigned long sys$emaa();
/*  $ENABLE_VP_USE[_INT] enable use of the vector processor [,internal form] */
/*	$ENABLE_VP_USE[_INT] flags,[curflg],[prvflg] */
unsigned long sys$enable_vp_use(), sys$enable_vp_use_int();
/*  $END_BRANCH[W]	end an active branch of a transaction */
/*	$END_BRANCH[W] [efn],[flags],iosb,[astadr],[astprm],tid,bid */
unsigned long sys$end_branch(), sys$end_branchw();
/*  $END_TRANS[W]	commit a transaction */
/*	$END_TRANS[W] [efn],[flags],iosb[,[astadr],[astprm],[tid]] */
unsigned long sys$end_trans(), sys$end_transw();
/*  $ENQ[W]		enqueue lock request */
/*     $ENQ[W]	[efn],lkmode,lksb,[flags],[resnam],[parid],[astadr],	-*/
/*+		[astprm],[blkast],[acmode],[prot][,[range],[priority]]	 */
unsigned long sys$enq(), sys$enqw();
/*  $ERAPAT		generate a security erase pattern. */
/*	$ERAPAT type,[count],patadr */
unsigned long sys$erapat();
/*  $EVDPOSTEVENT	post event to EVD */
/*	$EVDPOSTEVENT event */
unsigned long sys$evdpostevent();
/*  $EXIT		exit image */
/*	$EXIT	[code] */
unsigned long sys$exit();
/*  $EXPREG		expand program/control region */
/*	$EXPREG pagcnt,[retadr],[acmode],[region] */
unsigned long sys$expreg();
/*  $FAO		formatted ASCII output */
/*	$FAO	ctrstr,[outlen],outbuf,[p1],[p2]...[pn] */
unsigned long sys$fao();
/*  $FAOL		formatted ASCII output with list parameter */
/*	$FAOL	ctrstr,[outlen],outbuf,prmlst */
unsigned long sys$faol();
/*  $FILESCAN		scan a string and identify a file specification */
/*	$FILESCAN srcstr,[valuelst],[fldflags] */
unsigned long sys$filescan();
/*  $FIND_HELD		find identifiers held by holder */
/*	$FIND_HELD holder,[id],[attrib],[contxt] */
unsigned long sys$find_held();
/*  $FIND_HOLDER	find holder of identifier */
/*	$FIND_HOLDER id,[holder],[attrib],[contxt] */
unsigned long sys$find_holder();
/*  $FINISH_RDB		clean up RMS stream */
/*	$FINISH_RDB contxt */
unsigned long sys$finish_rdb();
/*  $FINISH_RMOP[W]	finish resource manager transaction event operation */
/*	$FINISH_RMOP[W] [efn],[flags],iosb,[astadr],[astprm],part_id,	-*/
/*+			retsts[,[reason],[beftime],[afttime]		 */
unsigned long sys$finish_rmop(), sys$finish_rmopw();
/*  $FORCEX		force exit */
/*	$FORCEX [pidadr],[prcnam],[code] */
unsigned long sys$forcex();
/*  $FORGET_RM[W]	forget a resource manager previously declared to DECdtm */
/*	$FORGET_RM[W] [efn],[flags],iosb,[astadr],[astprm],rm_id */
unsigned long sys$forget_rm(), sys$forget_rmw();
/*  $FORMAT_ACL		format an access control list entry */
/*	$FORMAT_ACL acl-entry,[acl-length],acl-string,[line-width],	-*/
/*+		    [term-desc],[line-indent],[bit-names],[routin]	 */
unsigned long sys$format_acl();
/*  $FORMAT_AUDIT	format security auditing event message */
/*	$FORMAT_AUDIT fmttyp,audmsg,[outlen],outbuf,	-*/
/*+		      [width],[trmdsc],[routin],[fmtflg] */
unsigned long sys$format_audit();
/*  $FORMAT_CLASS	format access class strings */
/*	$FORMAT_CLASS itmlst,[routin] */
unsigned long sys$format_class();
/*  $GET_DEFAULT_TRANS	get the current process default transaction */
/*	$GET_DEFAULT_TRANS tid */
unsigned long sys$get_default_trans();
/*  $GETCHN		get I/O channel information (obsolete) */
/*	$GETCHN chan,[prilen],[pribuf],[scdlen],[scdbuf] */
unsigned long sys$getchn();
/*  $GETDEV		get I/O device information (obsolete) */
/*	$GETDEV devnam,[prilen],[pribuf],[scdlen],[scdbuf] */
unsigned long sys$getdev();
/*  $GETDTI[W]		get distributed transaction information */
/*	$GETDTI[W] [efn],[flags],iosb,[astadr],[astprm],[log_id],	-*/
/*+		   context,search,itmlst				 */
unsigned long sys$getdti(), sys$getdtiw();
/*  $GETDVI[W]		get device/volume information */
/*	$GETDVI[W] [efn],[chan],[devnam],itmlst,[iosb],[astadr],	-*/
/*+		   [astprm],[nullarg]					 */
unsigned long sys$getdvi(), sys$getdviw();
/*  $GETEVI		get event information */
/*	$GETEVI itmlst,[nullarg] */
unsigned long sys$getevi();
/*  $GETJPI[W]		get job/process information */
/*	$GETJPI[W] [efn],[pidadr],[prcnam],itmlst,[iosb],[astadr],[astprm] */
unsigned long sys$getjpi(), sys$getjpiw();
/*  $GETLKI[W]		get lock information */
/*	$GETLKI[W] [efn],lkidadr,itmlst,[iosb],[astadr],[astprm],[reserved] */
unsigned long sys$getlki(), sys$getlkiw();
/*  $GETMSG		get message */
/*	$GETMSG msgid,msglen,bufadr,[flags],[outadr] */
unsigned long sys$getmsg();
/*  $GETPTI		get page table information */
/*	$GETPTI [inadr],[retadr],[acmode],[mask],[pagcnt] */
unsigned long sys$getpti();
/*  $GETQUI[W]		get queue information */
/*	$GETQUI[W] [efn],func,[nullarg],[itmlst],[iosb],[astadr],[astprm] */
unsigned long sys$getqui(), sys$getquiw();
/*  $GETSYI[W]		get system-wide information */
/*	$GETSYI[W] [efn],[csidadr],[nodename],itmlst,[iosb],[astadr],[astprm] */
unsigned long sys$getsyi(), sys$getsyiw();
/*  $GETTIM		get time */
/*	$GETTIM timadr */
unsigned long sys$gettim();
/*  $GETUAI		get user authorization information */
/*	$GETUAI [efn],[contxt],usrnam,itmlst,[iosb],[astadr],[astprm] */
unsigned long sys$getuai();
/*  $GETUTC		get UTC time */
/*	$GETUTC timadr */
unsigned long sys$getutc();
/*  $GRANTID		grant identifier to process */
/*	$GRANTID [pidadr],[prcnam],[id],[name],[prvatr] */
unsigned long sys$grantid();
/*  $GRANT_LICENSE	grant authorization to execute licensed software product. */
/*	$GRANT_LICENSE prdnam,prducer [,contxt] [,itmlst] */
unsigned long sys$grant_license();
/*  $HASH_PASSWORD	encrypt a user password to produce a quadword hash value. */
/*	$HASH_PASSWORD pwd,alg,[salt],usrnam,hash */
unsigned long sys$hash_password();
/*  $HIBER		hibernate */
/*	$HIBER	(void) */
unsigned long sys$hiber();
/*  $IDTOASC		identifier to ASCII conversion */
/*	$IDTOASC id,[namlen],[nambuf],[resid],[attrib],[contxt] */
unsigned long sys$idtoasc();
/*  $IMGACT		image activation */
/*	$IMGACT name,[dflnam],hdrbuf,[imgctl],[inadr],[retadr],[ident],[acmode] */
unsigned long sys$imgact();
/*  $IMGFIX		image address fixup service */
/*	$IMGFIX (void) */
unsigned long sys$imgfix();
/*  $INIT_VOL		initialize volume */
/*	$INIT_VOL devnam,volnam,[itmlst] */
unsigned long sys$init_vol();
/*  $IPC[W]		interprocess communication request */
/*     $IPC[W] [efn],func,ipcb,[astadr],[astprm] */
unsigned long sys$ipc(), sys$ipcw();
/*  $JOIN_RM[W]		join a resource manager previously started transaction */
/*	$JOIN_RM[W] [efn],[flags],iosb,[astadr],[astprm],rm_id[,[tid],	-*/
/*+		    [part_name],[rm_context],[timout]]			 */
unsigned long sys$join_rm(), sys$join_rmw();
/*  $LCKPAG		lock pages in memory */
/*	$LCKPAG inadr,[retadr],[acmode] */
unsigned long sys$lckpag();
/*  $LKWSET		lock pages in working set */
/*	$LKWSET inadr,[retadr],[acmode] */
unsigned long sys$lkwset();
/*  $MGBLSC		map global section */
/*	$MGBLSC inadr,[retadr],[acmode],[flags],gsdnam,[ident],[relpag] */
unsigned long sys$mgblsc();
/*  $MOD_HOLDER		modify holder record in rights database */
/*	$MOD_HOLDER id,holder,[set_attrib],[clr_attrib] */
unsigned long sys$mod_holder();
/*  $MOD_IDENT		modify identifier record in rights database */
/*	$MOD_IDENT id,[set_attrib],[clr_attrib],[new_name],[new_value] */
unsigned long sys$mod_ident();
/*  $MOUNT		mount volume */
/*	$MOUNT	itmlst */
unsigned long sys$mount();
/*  $MTACCESS		installation specific accessibility routine */
/*	$MTACCESS lblnam,[uic],[std_version],[access_char],[access_spec],type */
unsigned long sys$mtaccess();
/*  $NUMTIM		convert binary time to numeric time */
/*	$NUMTIM timbuf,[timadr] */
unsigned long sys$numtim();
/*  $NUMUTC		convert UTC binary time to numeric time */
/*	$NUMUTC timbuf,[timadr] */
unsigned long sys$numutc();
/*  $PARSE_ACL		parse an access control list entry */
/*	$PARSE_ACL acl-string,acl-entry,[error-position],[bit-names],[routin] */
unsigned long sys$parse_acl();
/*  $PARSE_CLASS	parse access class strings */
/*	$PARSE_CLASS itmlst,[routin] */
unsigned long sys$parse_class();
/*  $POSIX_FORK_CONTROL control POSIX fork() operations */
/*	$POSIX_FORK_CONTROL cntrl,[when],[handler],[arg],[acmode] */
unsigned long sys$posix_fork_control();
/*  $PROCESS_SCAN	initialize process_scan context */
/*	$PROCESS_SCAN pidctx,[itmlst] */
unsigned long sys$process_scan();
/*  $PURGWS		purge working set */
/*	$PURGWS inadr */
unsigned long sys$purgws();
/*  $PUTMSG		put message */
/*	$PUTMSG msgvec,[actrtn],[facnam],[actprm] */
unsigned long sys$putmsg();
/*  $QIO[W]		queue I/O request */
/*	$QIO[W] [efn],chan,func,[iosb],[astadr],[astprm],	-*/
/*+		[p1],[p2],[p3],[p4],[p5],[p6]			 */
unsigned long sys$qio(), sys$qiow();
/*  $READEF		read event flag */
/*	$READEF efn,state */
unsigned long sys$readef();
/*  $RECOVER[W]		recover transaction state. */
/*	$RECOVER[W] [efn],[flags],iosb,[astadr],[astprm],recovery_prefix,event_handler, -*/
/*+		    tm_log_id[,[tid],[node],[rm_context],[acmode],[max_events]]		 */
unsigned long sys$recover(), sys$recoverw();
/*  $RELEASE_LICENSE	release authorization to execute licensed software product. */
/*	$RELEASE_LICENSE context */
unsigned long sys$release_license();
/*  $RELEASE_VP[_INT]	release the vector processor [,internal form] */
/*	$RELEASE_VP[_INT] (void) */
unsigned long sys$release_vp(), sys$release_vp_int();
/*  $REM_HOLDER		remove holder record from rights database */
/*	$REM_HOLDER id,holder */
unsigned long sys$rem_holder();
/*  $REM_IDENT		remove identifier from rights database */
/*	$REM_IDENT id */
unsigned long sys$rem_ident();
/*  $RESTORE_VP_EXCEPTION | $RESTORE_VP_EXC_INT  restore vector processor exception state */
/*	$RESTORE_VP_EXCEPTION | $RESTORE_VP_EXC_INT excid */
unsigned long sys$restore_vp_exception(), sys$restore_vp_exc_int();
/*  $RESTORE_VP_STATE	restore mainline vector state */
/*	$RESTORE_VP_STATE (void) */
unsigned long sys$restore_vp_state();
/*  $RESUME		resume suspended process */
/*	$RESUME [pidadr],[prcnam] */
unsigned long sys$resume();
/*  $REVOKID		revoke identifier from process */
/*	$REVOKID [pidadr],[prcnam],[id],[name],[prvatr] */
unsigned long sys$revokid();
/*  $RMSRUNDWN		RMS rundown -- close all files opened by RMS */
/*	SYS$RMSRUNDWN bufadr,typval */
unsigned long sys$rmsrundwn(void *,int);	/* (dsc$descriptor_s,byte) */
/*  $SAVE_VP_EXCEPTION | $SAVE_VP_EXC_INT  save vector processor exception state */
/*	$SAVE_VP_EXCEPTION | $SAVE_VP_EXC_INT excid,[flags] */
unsigned long sys$save_vp_exception(), sys$save_vp_exc_int();
/*  $SCHDWK		schedule wakeup */
/*	$SCHDWK [pidadr],[prcnam],daytim,[reptim] */
unsigned long sys$schdwk();
/*  $SET_DEFAULT_TRANS[W] set up the process default transaction */
/*	$SET_DEFAULT_TRANS[W] [efn],[flags],iosb[,[astadr],[astprm],[new_tid],[old_tid]] */
unsigned long sys$set_default_trans(), sys$set_default_transw();
/*  $SETAST		set AST enable */
/*	$SETAST enbflg */
unsigned long sys$setast();
/*  $SETDDIR		set RMS default directory */
/*	SYS$SETDDIR [newdir],[oldlen],[olddir] */
unsigned long sys$setddir(const void *,unsigned short *,void *);
/*  $SETDFPROT		set RMS default file protection */
/*	SYS$SETDFPROT [newprot],[oldprot] */
unsigned long sys$setdfprot(const unsigned short *,unsigned short *);
/*  $SETDTI[W]		set distributed transaction information */
/*	$SETDTI[W] [efn],[flags],iosb,[astadr],[astprm],context,func,itmlst */
unsigned long sys$setdti(), sys$setdtiw();
/*  $SETEF		set event flag */
/*	$SETEF	efn */
unsigned long sys$setef();
/*  $SETEVTAST[W]	establish an event AST routine */
/*	$SETEVTAST evtnam,evtadr,[evtfac],[acmode],[flags],[reqid],	    -*/
/*+		   [evtid],[evtcrd],[efn],[iosb],[astadr],[astprm],[nullarg] */
unsigned long sys$setevtast(), sys$setevtastw();
/*  $SETEXV		set exception vector */
/*	$SETEXV [vector],[addres],[acmode],[prvhnd] */
unsigned long sys$setexv();
/*  $SETIME		set system time */
/*	$SETIME [timadr] */
unsigned long sys$setime();
/*  $SETIMR		set timer */
/*	$SETIMR [efn],daytim,[astadr],[reqidt],[flags] */
unsigned long sys$setimr();
/*  $SETPFM		set page fault monitoring */
/*	$SETPFM [pfmflg],[astadr],[astprm],[acmode] */
unsigned long sys$setpfm();
/*  $SETPRA		set power recovery AST */
/*	$SETPRA astadr,[acmode] */
unsigned long sys$setpra();
/*  $SETPRI		set priority */
/*	$SETPRI [pidadr],[prcnam],pri,[prvpri] */
unsigned long sys$setpri();
/*  $SETPRN		set process name */
/*	$SETPRN [prcnam] */
unsigned long sys$setprn();
/*  $SETPRT		set protection on pages */
/*	$SETPRT inadr,[retadr],[acmode],prot,[prvprt] */
unsigned long sys$setprt();
/*  $SETPRV		set privileges. */
/*	$SETPRV [enbflg],[prvadr],[prmflg],[prvprv] */
unsigned long sys$setprv();
/*  $SETRWM		set resource wait mode */
/*	$SETRWM [watflg] */
unsigned long sys$setrwm();
/*  $SETSFM		set system service failure mode */
/*	$SETSFM [enbflg] */
unsigned long sys$setsfm();
/*  $SETSSF		set system service filter */
/*	$SETSSF [mask] */
unsigned long sys$setssf();
/*  $SETSTK		set virtual stack limits */
/*	$SETSTK inadr,[retadr],[acmode] */
unsigned long sys$setstk();
/*  $SETSWM		set process swap mode */
/*	$SETSWM [swpflg] */
unsigned long sys$setswm();
/*  $SETUAI		modify user authorization information */
/*	$SETUAI [efn],[contxt],usrnam,itmlst,[iosb],[astadr],[astprm] */
unsigned long sys$setuai();
/*  $SNDACC		send message to accounting manager (obsolete) */
/*	$SNDACC msgbuf,[chan] */
unsigned long sys$sndacc();
/*  $SNDERR		send message to error logger */
/*	$SNDERR msgbuf */
unsigned long sys$snderr();
/*  $SNDJBC[W]		send message to job controller */
/*	$SNDJBC [efn],func,[nullarg],[itmlst],[iosb],[astadr],[astprm] */
unsigned long sys$sndjbc(), sys$sndjbcw();
/*  $SNDOPR		send message to operator */
/*	$SNDOPR msgbuf,[chan] */
unsigned long sys$sndopr();
/*  $SNDSMB		send message to symbiont manager (obsolete) */
/*	$SNDSMB msgbuf,[chan] */
unsigned long sys$sndsmb();
/* $START_BRANCH[W]	start a transaction branch */
/*	$START_BRANCH[W] [efn],[flags],iosb,[astadr],[astprm],tid,	-*/
/*+			 tm_name,bid,[,[timout],[acmode],[tx_class]]	 */
unsigned long sys$start_branch(), sys$start_branchw();
/*  $START_TRANS[W]	start a new transaction */
/*	$START_TRANS[W] [efn],[flags],iosb[,[astadr],[astprm],	-*/
/*+			[tid],[timout],[acmode],[tx_class]]	 */
unsigned long sys$start_trans(), sys$start_transw();
/*  $SUBSYSTEM		modify protected subsystem attributes */
/*	$SUBSYSTEM enbflg */
unsigned long sys$subsystem();
/*  $SUSPND		suspend process */
/*	$SUSPND [pidadr],[prcnam],[flags] */
unsigned long sys$suspnd();
/*  $SYNCH		synchronize event completion */
/*	$SYNCH	[iosb],[efn] */
unsigned long sys$synch();
/*  $TIMCON		convert between binary UTC and Smithsonian times */
/*	$TIMCON smntim,utctim,cvtflg */
unsigned long sys$timcon();
/*  $TRANS_EVENT[W]	start a new transaction */
/*	$TRANS_EVENT[W] [efn],[flags],iosb,[astadr],[astprm],tid,	-*/
/**			tx_event[,[cmttime],[beftime],[afttime]]	 */
unsigned long sys$trans_event(), sys$trans_eventw();
/*  $TRNLNM		translate logical name */
/*	$TRNLNM [attr],tabnam,[lognam],[acmode],[itemlist] */
unsigned long sys$trnlnm();
/*  $TRNLOG		translate logical name (obsolete) */
/*	$TRNLOG lognam,[rsllen],rslbuf,[table],[acmode],[dsbmsk] */
unsigned long sys$trnlog();
/*  $ULKPAG		unlock pages from memory */
/*	$ULKPAG inadr,[retadr],[acmode] */
unsigned long sys$ulkpag();
/*  $ULWSET		unlock pages from working set */
/*	$ULWSET inadr,[retadr],[acmode] */
unsigned long sys$ulwset();
/*  $UNWIND		unwind call stack */
/*	$UNWIND [depadr],[newpc] */
unsigned long sys$unwind();
/*  $UPDSEC[W]		update section file on disk */
/*	$UPDSEC[W] inadr,[retadr],[acmode],[updflg],[efn],[iosb],[astadr],[astprm] */
unsigned long sys$updsec(), sys$updsecw();
/*  $WAITFR		wait for single event flag */
/*	$WAITFR efn */
unsigned long sys$waitfr();
/*  $WAKE		wake up hibernating process */
/*	$WAKE	[pidadr],[prcnam] */
unsigned long sys$wake();
/*  $WFLAND		wait for logical AND of event flags */
/*	$WFLAND efn,mask */
unsigned long sys$wfland();
/*  $WFLOR		wait for logical OR of event flags */
/*	$WFLOR	efn,mask */
unsigned long sys$wflor();

# ifdef __cplusplus
}
# endif
#endif	/*_SYS$ROUTINES_H*/
